/*
 * Created on 04.08.2006
 */
package org.richfaces.renderkit;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;

import org.richfaces.component.UIDialogWindow;


/**
 * @author igels
 *
 */
public class DialogButtonRenderer extends DialogBaseActionRenderer {
    public static final String RENDERER_TYPE = "org.ajax4jsf.components.AjaxButtonRenderer";

//	@Override
	protected Class getComponentClass() {
		return UIDialogWindow.class;
	}

//	@Override
	public void doDecode(FacesContext context, UIComponent component) {
		super.doDecode(context, component);
	    if (DialogWindowRenderer.isSubmitted(getUtils(), context, component)) {
	    	//fire event to get new actionURL
		}
	}

}